# DirectoryContext Class Reference

List of all members.

## Public Member Functions

| bind ($name, $object)
| rebind ($name, $object)
| lookup ($name)
| reverseLookup ($object)

## Private Attributes

| $map = array()
| $reverseMap = array()

## Detailed Description

Definition at line 12 of file DirectoryContext.class.php.

## Member Function Documentation

DirectoryContext::bind | ( | $ | name,
|  | $ | object |
| ) |  |  |

Definition at line 17 of file DirectoryContext.class.php.

References rebind().

Here is the call graph for this function:

DirectoryContext::lookup | ( | $ | name | ) |

Definition at line 43 of file DirectoryContext.class.php.

DirectoryContext::rebind | ( | $ | name,
|  | $ | object |
| ) |  |  |

Definition at line 33 of file DirectoryContext.class.php.

References Assert::isNotNull().

Referenced by bind().

Here is the call graph for this function:

DirectoryContext::reverseLookup | ( | $ | object | ) |

Definition at line 51 of file DirectoryContext.class.php.

## Member Data Documentation

DirectoryContext::$map = array()`[private]`

Definition at line 14 of file DirectoryContext.class.php.

DirectoryContext::$reverseMap = array()`[private]`

Definition at line 15 of file DirectoryContext.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/DirectoryContext.class.php